%{?nodejs_find_provides_and_requires}

%global packagename asn1.js
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 4.8.1
Release: 1%{?dist}.3
Summary: ASN.1 encoder and decoder
License: MIT
URL: https://github.com/indutny/asn1.js
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(bn.js) >= 4.0.0
BuildRequires: npm(bn.js) < 5.0.0
BuildRequires: npm(inherits) >= 2.0.1
BuildRequires: npm(inherits) < 3.0.0
BuildRequires: npm(minimalistic-assert) >= 1.0.0
BuildRequires: npm(minimalistic-assert) < 2.0.0
%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 2.3.4
BuildRequires: npm(mocha) < 3.0.0
%endif

%description
ASN.1 DER Encoder/Decoder and DSL.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --reporter spec test/*-test.js
%endif


%files
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Sep 22 2016 Oleg Girko <ol@infoserver.lv> - 4.8.1-1
- Initial package.
